[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ExtCtrls' (#lcl)

# TShapePointsEvent

Specifies an event handler used to get an array of user-specified vertices for a polygonal shape in TShape,

## Declaration

Source position: extctrls.pp line 271

`type TShapePointsEvent = procedure(`
`Sender: TObject;`
`var Points: TPointArray;`
`var Winding: Boolean`
`) of object;`

## Arguments

`Points` |  | Returns the TPoint instances for the vertices on a polygonal shape.
`Winding` |  | Returns True if Winding order was used for the TPoint instances in Points.

## Version info

Added in LCL version 4.0.

## See also

TCustomShape.OnShapePoints |  | Event handler signalled to get a custom vertices for the shape drawn on the control.
TPointArray